import { EventEmitter } from '@angular/core';
import { CalendarService, SelectionType } from '../calendar.service';
import * as i0 from "@angular/core";
interface INavigationClick {
    direction: ('prev' | 'next');
    years: boolean;
}
export declare class CalendarNavigationComponent {
    #private;
    private calendarService;
    constructor(calendarService: CalendarService);
    addMonths: number;
    set calendarDate(value: Date);
    get calendarDate(): Date;
    private _calendarDate;
    navigation: boolean;
    navYearFirst: boolean;
    locale: string;
    view: 'days' | 'months' | 'years';
    selectionType: SelectionType;
    navigationClick: EventEmitter<INavigationClick>;
    get date(): Date;
    get hostClasses(): any;
    calendarStateSubscribe(): void;
    setView(view: 'days' | 'months' | 'years'): void;
    handleNavigationClick(direction: 'prev' | 'next', years?: boolean): void;
    handleNavigationKeyUp($event: KeyboardEvent, direction: 'prev' | 'next', years?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarNavigationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarNavigationComponent, "c-calendar-navigation", never, { "addMonths": { "alias": "addMonths"; "required": false; }; "calendarDate": { "alias": "calendarDate"; "required": false; }; "navigation": { "alias": "navigation"; "required": false; }; "navYearFirst": { "alias": "navYearFirst"; "required": false; }; }, { "navigationClick": "navigationClick"; }, never, never, true, never>;
}
export {};
